
PROJECT (qhull)

FIND_PACKAGE(VTK)
IF (VTK_FOUND)
  INCLUDE(${USE_VTK_FILE})
ELSE (VTK_FOUND)
  MESSAGE(FATAL_ERROR "VTK not found. Please set VTK_DIR.")
ENDIF (VTK_FOUND)

SET(VTK_LIBRARIES
  vtkCommon
  vtkFiltering
  vtkImaging
  vtkGraphics
  vtkGenericFiltering
  vtkIO
  vtkRendering
  vtkVolumeRendering
  vtkHybrid
  vtkWidgets
)

INCLUDE_DIRECTORIES(
  ${VTK_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}/../basicimg
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
)

ADD_EXECUTABLE(testqh
  testqh.cxx
  vtkQhullDelaunay3D.cxx
  user.c
  global.c
  stat.c
  io.c
  geom2.c
  poly2.c
  merge.c
  qhull.c
  geom.c
  poly.c
  qset.c
  mem.c
)


TARGET_LINK_LIBRARIES(testqh ${VTK_LIBRARIES})
